pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Problem installing mysql5-clinet

On Fri, May 02, 2008 at 01:17:41PM -0400, Frank DeChellis wrote:
>    Hi,
>    I am running NetBSD 1.6.2 (no comment) and my package tree is at
>    20080424.
>    When I try to install mysql5-client I get this error message:
>    checking libedit variant of rl_completion_entry_function... no
>    checking defined rl_compentry_func_t and rl_completion_func_t... no
>    checking HIST_ENTRY is declared in readline/readline.h... yes
>    configure: error: Could not find system readline or libedit libraries
>              Use --with-readline or --with-libedit to use the bundled
>              versions of libedit or readline
>    *** Error code 1
>    Stop.
>    make: stopped in /usr/pkgsrc/databases/mysql5-client
>    *** Error code 1
>    Actually it comes up when I try to do mysql4 or mysql5 client or server
>    .
>    Can anybody nudge me in the right direction?  I had a few other errors
>    pop up that I've managed to eliminate but this one remains.

I guess devel/readline's assumes too much of NetBSD 1.6.2's
libedit features.

Try defining PREFER_PKGSRC=readline maybe?

Quentin Garnier - -
"See the look on my face from staying too long in one place
[...] every time the morning breaks I know I'm closer to falling"
KT Tunstall, Saving My Face, Drastic Fantastic, 2007.

Attachment: pgpWzoB58YIC7.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index